org.eclipse.jgit.treewalk.filter

## Class TreeFilterMarker

- java.lang.Object
- - org.eclipse.jgit.treewalk.filter.TreeFilterMarker

    public class TreeFilterMarker
    extends Object

For testing an array of `TreeFilter` during a `TreeWalk` for each entry and returning the result as a bitmask.

Since:
  2.3

### Constructor Summary

Constructors
Constructor and Description
`TreeFilterMarker(TreeFilter[] markTreeFilters)` Construct a TreeFilterMarker.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMarks(TreeWalk walk)` Test the filters against the walk.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeFilterMarker

    public TreeFilterMarker(TreeFilter[] markTreeFilters)

Construct a TreeFilterMarker. Note that it is stateful and can only be used for one walk loop.

Parameters:
  `markTreeFilters` - the filters to use for marking, must not have more elements than `Integer.SIZE`.
Throws:
  `IllegalArgumentException` - if more tree filters are passed than possible

### Method Detail

#### getMarks

    public int getMarks(TreeWalk walk)
                 throws MissingObjectException,
                        IncorrectObjectTypeException,
                        IOException

Test the filters against the walk. Returns a bitmask where each bit represents the result of a call to `TreeFilter.include(TreeWalk)`, ordered by the index for which the tree filters were passed in the constructor.

Parameters:
  `walk` - the walk from which to test the current entry
Returns:
  the marks bitmask
Throws:
  `MissingObjectException` - as thrown by `TreeFilter.include(TreeWalk)`
  `IncorrectObjectTypeException` - as thrown by `TreeFilter.include(TreeWalk)`
  `IOException` - as thrown by `TreeFilter.include(TreeWalk)`